
const express = require('express');
const app = express();
const port = 3000;


const boatList = [];

app.get('/', (req, res) => {
    res.send(boatList);
});


app.post('/', (req, res) => {
    res.send(createBoat(req.body));
});

app.listen(port, () => {
  console.log(`Example app listening at http://localhost:${port}`);
});



function createBoat(request) {
    // Boat validieren und "anlegen"
}


// boat  class ersten

class Boat {
    
}